﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
//using HLWebOKBAdminPlugin.ViewModels;
using System.Web.Security;
using System.ServiceModel.Security;
//using HLWebPluginHost.OKBService;
using System.Diagnostics;
using HLWebPluginHost.Models;
using HLWebOKBQueryPlugin.OKBQueryService;
using HLWebOKBQueryPlugin.Helpers;

namespace HLWebOKBQueryPlugin.Controllers {
    public class QueryController : Controller {
        public ActionResult Index() {
            return View();
        }

        public ActionResult Menu() {
            return View();
        }

        public ActionResult Filter() {
            QueryServiceClient client = Query.GetClientFactory();


            QueryModel qm = new QueryModel();
            Session["SelectedSubMenu"] = "Filter";
            return View(qm);
        }

        public ActionResult Results() {
            QueryServiceClient client = Query.GetClientFactory();

            QueryModel qm = new QueryModel();
            Session["SelectedSubMenu"] = "Results";
            return View(qm);
        }

        public ActionResult RunCollectionTable() {
            QueryModel qm = new QueryModel();
            Session["QueryRuns"] = qm.getTestRuns();
            return View(qm);
        }
    }
}
