﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
<%@ Import Namespace="HLWebOKBQueryPlugin.Helpers" %>
<%@ Import Namespace="System.Reflection" %>

<div id="RunCollectionTable" style="overflow: auto; width: 100%">
    <table>
        <thead>
            <tr>
                <th>&nbsp;</th>
                <% foreach (PropertyInfo pi in typeof(RunCollectionData).GetProperties()) { %>
                <th><%= pi.Name %></th>
                <% } %>
            </tr>
        </thead>
        <tbody>
            <% IList<RunCollectionData> data = (IList<RunCollectionData>) Session["QueryRuns"];
               foreach (RunCollectionData rcd in data) { 
                   RouteValueDictionary rvd = new RouteValueDictionary();
                   rvd.Add("controller", "Query");
                   rvd.Add("id", rcd.Id);
                   %>
                <tr>
                    <td><%: Html.ActionLink("details", "Details", rvd) %></td>

                    <% foreach (PropertyInfo pi in typeof(RunCollectionData).GetProperties()) {
                           try { %>
                    <td><%= pi.GetValue(rcd, null).ToString()%></td>
                    <%     } catch (Exception e) { %>
                        &nbsp;</td>
                    <%     }
                       } %>
                </tr>
               <% } %>
        </tbody>
    </table>

</div>